<?php require_once('Connections/conn.php'); ?>
<?php
//***************************************************************************************
// Nombre del Script: alumnos.php
// Descripción: Permite la gestión de los estudiantes de la ENAHP (Registrar, Modificar
//              y Eliminar). Se prodrá eliminar un estudiante siempre y cuando no este
//              inscrito y no tenga materias cursadas.
//************************************************************************************** 
 session_start();
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO'];
  $acceso=$_GET['acceso'];

  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];
  

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
    $consulta=addslashes($sql);
    $fecha=date("Y-m-d H:i:s");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="aulas.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		return;
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="9" && $tipo_usuario!="19") {
        // Registra el acceso indebido.
    $consulta=addslashes($sql);
    $fecha=date("Y-m-d H:i:s");
  		$accion="Intento de Acceso indebido";
  		$script="aulas.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		return;
  }  

  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>siga_pregrado -- aulas</title>
<meta name="generator" http-equiv="content-type" content="text/html; charset=UTF-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    background-color: #FFFFFF01;
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    background-color: #FFFFFF01;
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    background-color: #FFFFFF01;
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Gesti&oacute;n de Aulas</tr></table>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 100;
  $pagerange = 20;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "view":
      viewrec($recid);
      break;
    case "edit":
      editrec($recid);
      break;
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr">!SIGA LA ENAHP!</td></tr></table>
</body>
</html>

<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $conn;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">

<tr><td>Aulas Disponibles: <?php echo $startrec + 1 ?> - <?php echo $reccount ?> de <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="aulas.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los Campos</option>
<option value="<?php echo "codigo_aula" ?>"<?php if ($filterfield == "codigo_aula") { echo "selected"; } ?>><?php echo htmlspecialchars("Nro.") ?></option>
<option value="<?php echo "desc_aula" ?>"<?php if ($filterfield == "desc_aula") { echo "selected"; } ?>>Descripci&oacute;n del Aula</option>
<option value="<?php echo "sede" ?>"<?php if ($filterfield == "sede") { echo "selected"; } ?>><?php echo htmlspecialchars("Sede") ?></option>
<option value="<?php echo "capacidad" ?>"<?php if ($filterfield == "capacidad") { echo "selected"; } ?>><?php echo htmlspecialchars("Capacidad") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra Completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="aulas.php?a=reset">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center">Editar</td>
<td class="hr" align="center">Borrar</td>
<td class="hr" align="center"><a class="hr" href="aulas.php?order=<?php echo "desc_aula" ?>&type=<?php echo $ordtypestr ?>">Descripci&oacute;n<br>del Aula</a></td>
<td class="hr" align="center"><a class="hr" href="aulas.php?order=<?php echo "sede" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Sede") ?></a></td>
<td class="hr" align="center"><a class="hr" href="aulas.php?order=<?php echo "capacidad" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Capacidad") ?></a></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	
  $sede=$row['sede'];
  $query_sedes = "SELECT ubicacion_sede,nombre_sede FROM sedes where codigo='$sede'";
  $rst_sedes = mysql_query($query_sedes, $conn) or die(mysql_error());
  $row_sedes = mysql_fetch_assoc($rst_sedes);
  $total_rows_sedes = mysql_num_rows($rst_sedes);
  $nombre_sede=$row_sedes['nombre_sede'].' ('.$row_sedes['ubicacion_sede'].')';
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="aulas.php?a=view&recid=<?php echo $i ?>"><img src="imagenes/search.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><a href="aulas.php?a=edit&recid=<?php echo $i ?>"><img src="imagenes/edit.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><a href="aulas.php?a=del&recid=<?php echo $i ?>"><img src="imagenes/delete.png" border="0" ></a></td>

<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["desc_aula"]) ?></td>
<td class="<?php echo $style ?>"><?php echo $nombre_sede ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["capacidad"]) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
  global $conn;
  
  $sede=$row['sede'];
  $query_sedes = "SELECT ubicacion_sede,nombre_sede FROM sedes where codigo='$sede'";
  $rst_sedes = mysql_query($query_sedes, $conn) or die(mysql_error());
  $row_sedes = mysql_fetch_assoc($rst_sedes);
  $total_rows_sedes = mysql_num_rows($rst_sedes);
  $nombre_sede=$row_sedes['nombre_sede'].' ('.$row_sedes['ubicacion_sede'].')';
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">

<tr>
<td class="hr">Descripci&oacute;n del Aula</td>
<td class="dr"><?php echo htmlspecialchars($row["desc_aula"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_sede ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Capacidad")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["capacidad"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  
  $query_sedes = "SELECT codigo,ubicacion_sede,nombre_sede FROM sedes";
  $rst_sedes = mysql_query($query_sedes, $conn) or die(mysql_error());
  $row_sedes = mysql_fetch_assoc($rst_sedes);
  $total_rows_sedes = mysql_num_rows($rst_sedes);
  

  $sede=$row['sede'];
  $query_sedes1 = "SELECT ubicacion_sede,nombre_sede FROM sedes where codigo='$sede'";
  $rst_sedes1 = mysql_query($query_sedes1, $conn) or die(mysql_error());
  $row_sedes1 = mysql_fetch_assoc($rst_sedes1);
  $total_rows_sedes1 = mysql_num_rows($rst_sedes1);
  $nombre_sede=$row_sedes1['nombre_sede'].' ('.$row_sedes1['ubicacion_sede'].')';
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">

<tr>
<td class="hr">Descripci&oacute;n del Aula</td>
<td class="dr"><input type="text" name="desc_aula" maxlength="10" value="<?php echo str_replace('"', '&quot;', trim($row["desc_aula"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr">
<select id="sede" name="sede" >
<option value="<?php echo $row["sede"]; ?>"><?php echo $nombre_sede ?></option>

  <?php
do {  
?>
  <option value="<?php echo $row_sedes['codigo']?>"><?php echo $row_sedes['nombre_sede'].' ('.$row_sedes['ubicacion_sede'].')'; ?></option>
  <?php
} while ($row_sedes = mysql_fetch_assoc($rst_sedes));
  $rows = mysql_num_rows($rst_sedes);
  if($rows > 0) {
      mysql_data_seek($rst_sedes, 0);
	  $row_sedes = mysql_fetch_assoc($rst_sedes);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Capacidad")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="capacidad" value="<?php echo str_replace('"', '&quot;', trim($row["capacidad"])) ?>"></td>
</tr>
</table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="aulas.php?a=add">Agregar Aula </a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="aulas.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="aulas.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="aulas.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="aulas.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="aulas.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="aulas.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Registro Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="aulas.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente Registro</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="aulas.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form enctype="multipart/form-data" action="aulas.php" method="post">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "codigo_aula" => "",
  "desc_aula" => "",
  "sede" => "",
  "capacidad" => "");
showroweditor($row, false);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>

<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<br>
<form enctype="multipart/form-data" action="aulas.php" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xcodigo_aula" value="<?php echo $row["codigo_aula"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>
<br>
<form action="aulas.php" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xcodigo_aula" value="<?php echo $row["codigo_aula"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "siga_dbm", "2PN2QDmP6ZsHrcue");
  mysql_select_db("siga_pregrado");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT `codigo_aula`, `desc_aula`, `sede`, `capacidad` FROM `aulas`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`codigo_aula` like '" .$filterstr ."') or (`desc_aula` like '" .$filterstr ."') or (`sede` like '" .$filterstr ."') or (`capacidad` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `aulas`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`codigo_aula` like '" .$filterstr ."') or (`desc_aula` like '" .$filterstr ."') or (`sede` like '" .$filterstr ."') or (`capacidad` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;

  $sql = "insert into `aulas` (`desc_aula`, `sede`, `capacidad`) values (" .sqlvalue(@$_POST["desc_aula"], true).", " .sqlvalue(@$_POST["sede"], true).", " .sqlvalue(@$_POST["capacidad"], false).")";
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;

  $sql = "update `aulas` set `desc_aula`=" .sqlvalue(@$_POST["desc_aula"], true).", `sede`=" .sqlvalue(@$_POST["sede"], true).", `capacidad`=" .sqlvalue(@$_POST["capacidad"], false) ." where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;

  $sql = "delete from `aulas` where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}
function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`codigo_aula`";
  if (@$_POST["xcodigo_aula"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xcodigo_aula"], false);
  };
  $pk .= ")";
  return $pk;
}

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 
 ?>
